# ApplicationFramework
TKLCAF
TDF

# TDF_LabelNode Class Reference

`#include <TDF_LabelNode.hxx>`

## Public Member Functions

TDF_LabelNode * | Father () const
TDF_LabelNode * | Brother () const
TDF_LabelNode * | FirstChild () const
const | Handle (TDF_Attribute)&FirstAttribute() const
Standard_Integer | Tag () const
Standard_Integer | Depth () const
Standard_Boolean | IsRoot () const
Standard_EXPORT TDF_Data * | Data () const
void | AttributesModified (const Standard_Boolean aStatus)
Standard_Boolean | AttributesModified () const
void | MayBeModified (const Standard_Boolean aStatus)
Standard_Boolean | MayBeModified () const
| TDF_LabelNode (TDF_Data *Data)
| ~TDF_LabelNode ()
void * | operator new (size_t aSize, const Handle(NCollection_IncAllocator)&anAlloc)
void | operator delete (void *)

## Private Member Functions

void * | operator new (size_t)
| TDF_LabelNode (const Standard_Integer Tag, TDF_LabelNode *Father)
void | AddAttribute (const Handle(TDF_Attribute)&afterAtt, const Handle(TDF_Attribute)&newAtt)
void | RemoveAttribute (const Handle(TDF_Attribute)&afterAtt, const Handle(TDF_Attribute)&oldAtt)
TDF_LabelNode * | RootNode ()
const TDF_LabelNode * | RootNode () const
Standard_EXPORT void | AllMayBeModified ()
void | Tag (const Standard_Integer aTag)
void | Depth (const Standard_Integer aDepth)
void | Imported (const Standard_Boolean aStatus)
Standard_Boolean | IsImported () const
| Handle (TDF_Attribute) myFirstAttribute

## Private Attributes

TDF_LabelNodePtr | myFather
TDF_LabelNodePtr | myBrother
TDF_LabelNodePtr | myFirstChild
TDF_LabelNodePtr | myLastFoundChild
Standard_Integer | myTag
Standard_Integer | myFlags
TDF_Data * | myData

## Constructor & Destructor Documentation

TDF_LabelNode::TDF_LabelNode | ( | TDF_Data * | Data | ) |

TDF_LabelNode::~TDF_LabelNode | ( |  | ) |

TDF_LabelNode::TDF_LabelNode | ( | const Standard_Integer | Tag,
|  | TDF_LabelNode * | Father
| ) | `[private]`

## Member Function Documentation

void TDF_LabelNode::AddAttribute | ( | const Handle(TDF_Attribute)& | afterAtt,
|  | const Handle(TDF_Attribute)& | newAtt
| ) | `[private]`

Standard_EXPORT void TDF_LabelNode::AllMayBeModified | ( |  | ) | `[private]`

Standard_Boolean TDF_LabelNode::AttributesModified | ( |  | ) | const`[inline]`

void TDF_LabelNode::AttributesModified | ( | const Standard_Boolean | aStatus | ) | `[inline]`

TDF_LabelNode* TDF_LabelNode::Brother | ( |  | ) | const`[inline]`

Standard_EXPORT TDF_Data* TDF_LabelNode::Data | ( |  | ) | const

void TDF_LabelNode::Depth | ( | const Standard_Integer | aDepth | ) | `[inline, private]`

Standard_Integer TDF_LabelNode::Depth | ( |  | ) | const`[inline]`

TDF_LabelNode* TDF_LabelNode::Father | ( |  | ) | const`[inline]`

TDF_LabelNode* TDF_LabelNode::FirstChild | ( |  | ) | const`[inline]`

TDF_LabelNode::Handle | ( | TDF_Attribute |  | ) | `[private]`

const TDF_LabelNode::Handle | ( | TDF_Attribute |  | ) | const`[inline]`

void TDF_LabelNode::Imported | ( | const Standard_Boolean | aStatus | ) | `[inline, private]`

Standard_Boolean TDF_LabelNode::IsImported | ( |  | ) | const`[inline, private]`

Standard_Boolean TDF_LabelNode::IsRoot | ( |  | ) | const`[inline]`

Standard_Boolean TDF_LabelNode::MayBeModified | ( |  | ) | const`[inline]`

void TDF_LabelNode::MayBeModified | ( | const Standard_Boolean | aStatus | ) | `[inline]`

void TDF_LabelNode::operator delete | ( | void * |  | ) | `[inline]`

void* TDF_LabelNode::operator new | ( | size_t |  | ) | `[private]`

void* TDF_LabelNode::operator new | ( | size_t | aSize,
|  | const Handle(NCollection_IncAllocator)& | anAlloc
| ) | `[inline]`

void TDF_LabelNode::RemoveAttribute | ( | const Handle(TDF_Attribute)& | afterAtt,
|  | const Handle(TDF_Attribute)& | oldAtt
| ) | `[private]`

const TDF_LabelNode* TDF_LabelNode::RootNode | ( |  | ) | const`[private]`

TDF_LabelNode* TDF_LabelNode::RootNode | ( |  | ) | `[private]`

void TDF_LabelNode::Tag | ( | const Standard_Integer | aTag | ) | `[inline, private]`

Standard_Integer TDF_LabelNode::Tag | ( |  | ) | const`[inline]`

## Field Documentation

TDF_LabelNodePtr TDF_LabelNode::myBrother `[private]`

TDF_Data* TDF_LabelNode::myData `[private]`

TDF_LabelNodePtr TDF_LabelNode::myFather `[private]`

TDF_LabelNodePtr TDF_LabelNode::myFirstChild `[private]`

Standard_Integer TDF_LabelNode::myFlags `[private]`

TDF_LabelNodePtr TDF_LabelNode::myLastFoundChild `[private]`

Standard_Integer TDF_LabelNode::myTag `[private]`

The documentation for this class was generated from the following file:

- TDF_LabelNode.hxx